SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 15522876 UASINT R11.2 UPDATES  						*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from si_wf_prop with (tablockx)
GO
 
Select top 1 1 from si_rec_prop with (tablockx)
GO
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
/* End of lines added to convert to online lock */
 

/*  FROM SI sql_postinst.sql  */
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[si_legdoc_ci_rel]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[si_legdoc_ci_rel]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[si_ci_legdoc_rel]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[si_ci_legdoc_rel]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[si_legdoc_prop]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[si_legdoc_prop]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[si_arg_legaldoc_sum_prop]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[si_arg_legaldoc_sum_prop]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[si_arg_asset_sum_prop]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[si_arg_asset_sum_prop]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[si_arg_own_asset_prop]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[si_arg_own_asset_prop]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[si_arg_dis_asset_prop]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[si_arg_dis_asset_prop]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[si_arg_swprod_tot_prop]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[si_arg_swprod_tot_prop]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[si_pri_prop]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[si_pri_prop]
GO

CREATE TABLE [dbo].[si_ci_legdoc_rel] (
	[ci_uuid]       [binary] (16) NOT NULL ,
	[legaldoc_uuid] [binary] (16) NOT NULL ,
	[ci_name]       [nvarchar] (100) NULL ,
	[legaldoc_name] [nvarchar] (100) NULL ,
	[data_source]   [nvarchar] (128) NULL ,
	[version]       [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[si_legdoc_prop] (
   [legaldoc_uuid] [binary] (16) NOT NULL ,
   [ext_company]   [nvarchar] (100) NULL ,
   [int_company]   [nvarchar] (100) NULL ,
   [eff_date]      [datetime] NULL ,
   [term_date]     [datetime] NULL ,
   [description]   [nvarchar] (100) NULL ,
   [status]        [nvarchar] (255) NULL ,
   [data_source]   [nvarchar] (128) NOT NULL ,
   [vendor]        [nvarchar] (100) NULL ,
   [leinact]       [int] NULL ,
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[si_pri_prop] (
   [enum]          [int] NOT NULL ,
   [data_source]   [nvarchar] (128) NOT NULL ,
   [name]          [nvarchar] (12) NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[si_arg_legaldoc_sum_prop] (
   [legaldoc_uuid] [binary] (16) NOT NULL ,
   [ext_company]   [nvarchar] (100) NULL ,
   [int_company]   [nvarchar] (100) NULL ,
   [eff_date]      [datetime] NULL ,
   [term_date]     [datetime] NULL ,
   [description]   [nvarchar] (100) NULL ,
   [status]        [nvarchar] (255) NULL ,
   [data_source]   [nvarchar] (128) NOT NULL ,
   [vendor]        [nvarchar] (100) NULL ,
   [leinact]       [int] NULL ,
   [documentidentifier] [nvarchar] (50) NULL ,
   [legaltemplate] [nvarchar] (50)  NULL ,
   [costcenter]    [nvarchar] (100) NULL ,
   [location]      [nvarchar] (255) NULL ,
   [inactive]      [nvarchar] (60)  NULL ,
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[si_arg_asset_sum_prop] (
   [own_asset_uuid] [binary] (16) NOT NULL ,
   [data_source]    [nvarchar] (128) NOT NULL ,
   [asset_itemid]   [binary] (16) NULL ,
   [asset_name]     [nvarchar] (100) NULL ,
   [cost_center]    [nvarchar] (100) NULL , 
   [location_name]  [nvarchar] (100) NULL , 
   [ver_status]     [nvarchar] (100) NULL , 
   [item_type]      [nvarchar] (100) NULL , 
   [asset_class]    [nvarchar] (100) NULL , 
   [subclass]       [nvarchar] (100) NULL , 	
   [manufacturer]   [nvarchar] (100) NULL , 
   [seller]         [nvarchar] (100) NULL , 
   [itemver]        [nvarchar] (100) NULL , 
   [bought_for]     [nvarchar] (100) NULL , 
   [model_name]     [nvarchar] (100) NULL , 	
   [host_name]      [nvarchar] (255) NULL , 
	[serial_number]  [nvarchar] (64) NULL , 
   [asset_alias]    [nvarchar] (30) NULL , 
   [dnsname]        [nvarchar] (100) NULL , 
   [macaddress]     [nvarchar] (64) NULL , 
   [alt_assetid]    [nvarchar] (64) NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[si_arg_own_asset_prop] (
   [own_asset_uuid]      [binary] (16) NOT NULL ,
   [data_source]         [nvarchar] (128) NOT NULL ,
   [own_asset_name]      [nvarchar] (100) NULL ,
   [own_asset_tag]       [nvarchar] (64) NULL ,
   [own_alias]           [nvarchar] (30) NULL ,
   [own_serial_number]   [nvarchar] (64) NULL ,
   [own_host_name]       [nvarchar] (255) NULL ,
   [own_model_name]      [nvarchar] (100) NULL ,
   [own_resource_family] [nvarchar] (100) NULL ,
   [own_manufacturer]    [nvarchar] (100) NULL ,
   [own_class]           [nvarchar] (100) NULL ,
   [own_subclass]        [nvarchar] (100) NULL ,
   [own_location_name]   [nvarchar] (100) NULL ,
   [own_department]      [nvarchar] (100) NULL ,
   [own_cost_center]     [nvarchar] (100) NULL ,
   [dis_asset_uuid]      [binary] (16) NULL ,
   [dis_host_name]       [nvarchar] (255) NULL ,
   [dis_serial_number]   [nvarchar] (64) NULL ,
   [dis_asset_tag]       [nvarchar] (64) NULL ,
   [dis_sys_model]       [nvarchar] (384) NULL ,
   [dis_sys_type]        [nvarchar] (384) NULL ,
   [dis_sys_vendor]      [nvarchar] (384) NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[si_arg_dis_asset_prop] (
   [dis_asset_uuid]      [binary] (16) NOT NULL ,
   [data_source]         [nvarchar] (128) NOT NULL ,
   [dis_host_name]       [nvarchar] (255) NULL ,
   [dis_serial_number]   [nvarchar] (64) NULL ,
   [dis_asset_tag]       [nvarchar] (64) NULL ,
   [dis_sys_model]       [nvarchar] (384) NULL ,
   [dis_sys_type]        [nvarchar] (384) NULL ,
   [dis_sys_vendor]      [nvarchar] (384) NULL ,
   [own_asset_uuid]      [binary] (16)  NULL ,
   [own_asset_name]      [nvarchar] (100) NULL ,
   [own_asset_tag]       [nvarchar] (64) NULL ,
   [own_alias]           [nvarchar] (30) NULL ,
   [own_serial_number]   [nvarchar] (64) NULL ,
   [own_host_name]       [nvarchar] (255) NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[si_arg_swprod_tot_prop] (
  [sw_def_uuid]       [binary] (16) NOT NULL ,
  [data_source]       [nvarchar] (128) NOT NULL ,
  [model_uuid]        [binary] (16) NULL ,
  [company_uuid]      [binary] (16) NULL ,
  [company_name]      [nvarchar] (100) NULL ,
  [model_name]        [nvarchar] (100) NULL ,
  [software_product]  [nvarchar] (255) NULL ,
  [license_type]      [nvarchar] (100) NOT NULL ,
  [owned_count]       [int] NULL ,
  [discovered_count]  [int] NULL ,
  [variance]          [int] NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[si_wf_prop] ALTER COLUMN assignee_manager nvarchar(100)
GO

ALTER TABLE [dbo].[si_rec_prop] ALTER COLUMN summary NVARCHAR(256) 
GO

ALTER TABLE [dbo].[si_rec_prop] ALTER COLUMN priority nvarchar(20)
GO

CREATE  INDEX [IX_si_ci_legdoc_rel_1] ON [dbo].[si_ci_legdoc_rel]([data_source]) ON [PRIMARY]
GO

CREATE  INDEX [IX_si_legdoc_prop_1] ON [dbo].[si_legdoc_prop]([data_source], [status], [term_date]) ON [PRIMARY]
GO

CREATE  INDEX [IX_si_arg_legaldoc_sum_prop_1] ON [dbo].[si_arg_legaldoc_sum_prop]([data_source], [status], [term_date]) ON [PRIMARY]
GO

ALTER  TABLE [dbo].[si_pri_prop] ADD CONSTRAINT [PK_si_pri_prop] PRIMARY KEY ([enum], [data_source]) ON [PRIMARY]
GO

ALTER  TABLE [dbo].[si_legdoc_prop] ADD CONSTRAINT [PK_si_legdoc_prop] PRIMARY KEY ([legaldoc_uuid], [data_source]) ON [PRIMARY]
GO

ALTER  TABLE [dbo].[si_arg_legaldoc_sum_prop] ADD CONSTRAINT [PK_si_arg_legaldoc_sum_prop] PRIMARY KEY ([legaldoc_uuid], [data_source]) ON [PRIMARY]
GO

ALTER  TABLE [dbo].[si_arg_asset_sum_prop] ADD CONSTRAINT [PK_si_arg_asset_sum_prop] PRIMARY KEY ([own_asset_uuid], [data_source]) ON [PRIMARY]
GO

ALTER  TABLE [dbo].[si_arg_own_asset_prop] ADD CONSTRAINT [PK_si_arg_own_asset_prop] PRIMARY KEY ([own_asset_uuid], [data_source]) ON [PRIMARY]
GO

ALTER  TABLE [dbo].[si_arg_dis_asset_prop] ADD CONSTRAINT [PK_si_arg_dis_asset_prop] PRIMARY KEY ([dis_asset_uuid], [data_source]) ON [PRIMARY]
GO

/* End of FROM SI sql_postinst.sql */


/****** INSERT VALUES INTO TABLE si_pri_prop ******/
INSERT INTO [dbo].[si_pri_prop] (enum, data_source, name) VALUES (0,'default','None');
INSERT INTO [dbo].[si_pri_prop] (enum, data_source, name) VALUES (1,'default','5');
INSERT INTO [dbo].[si_pri_prop] (enum, data_source, name) VALUES (2,'default','4');
INSERT INTO [dbo].[si_pri_prop] (enum, data_source, name) VALUES (3,'default','3');
INSERT INTO [dbo].[si_pri_prop] (enum, data_source, name) VALUES (4,'default','2');
INSERT INTO [dbo].[si_pri_prop] (enum, data_source, name) VALUES (5,'default','1');
GO
/****** END OF INSERT VALUES INTO TABLE si_pri_prop ******/



GRANT  REFERENCES ,  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_ci_legdoc_rel]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_ci_prop]  TO [aiadmin]
GO

GRANT  REFERENCES ,  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_ci_rec_rel]  TO [aiadmin]
GO

GRANT  REFERENCES ,  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_cnt_org_rel]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_contact_prop]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_financial_prop]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_kpi_hist]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_kpi_prop]  TO [aiadmin]
GO

GRANT  REFERENCES ,  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_legdoc_prop]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_arg_legaldoc_sum_prop]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_arg_asset_sum_prop]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_arg_own_asset_prop]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_arg_dis_asset_prop]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_arg_swprod_tot_prop]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_log_prop]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_org_prop]  TO [aiadmin]
GO

GRANT  REFERENCES ,  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_pri_prop]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_rec_prop]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_survey_kpi]  TO [aiadmin]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[si_wf_prop]  TO [aiadmin]
GO


IF OBJECT_ID(N'[excludedcomputersanalysis]', N'U') IS NOT NULL 
DROP TABLE [excludedcomputersanalysis];
GO

EXEC('
CREATE TABLE [dbo].[excludedcomputersanalysis] (
[hwuuid] [char](36) PRIMARY KEY )
')
GO

IF OBJECT_ID(N'[userexcludedcomputersanalysis]', N'U') IS NOT NULL 
DROP TABLE [userexcludedcomputersanalysis];
GO

EXEC('
CREATE TABLE [dbo].[userexcludedcomputersanalysis] (
[hwuuid] [char](36) PRIMARY KEY )
')
GO

IF OBJECT_ID(N'[userincludedcomputersanalysis]', N'U') IS NOT NULL 
DROP TABLE [userincludedcomputersanalysis];
GO

EXEC('
CREATE TABLE [dbo].[userincludedcomputersanalysis] (
[hwuuid] [char](36) PRIMARY KEY )
')
GO


IF OBJECT_ID(N'[configurationhighresult]', N'U') IS NULL 
EXEC('
CREATE TABLE [dbo].[configurationhighresult](
            [hwuuid] [char](36) PRIMARY KEY,
            [predicted hwprocspeed] [float] NULL,
            [predicted hwmem] [float] NULL,
            [predicted fssize] [float] NULL,
            [zscore hwprocspeed] [float] NULL,
            [zscore hwmem] [float] NULL,
            [zscore fssize] [float] NULL,
            [zscore sum] [float] NULL
)'
)
GO

IF OBJECT_ID(N'[configurationlowresult]', N'U') IS NULL 
EXEC('
CREATE TABLE [dbo].[configurationlowresult](
            [hwuuid] [char](36) PRIMARY KEY,
            [predicted hwprocspeed] [float] NULL,
            [predicted hwmem] [float] NULL,
            [predicted fssize] [float] NULL,
            [zscore hwprocspeed] [float] NULL,
            [zscore hwmem] [float] NULL,
            [zscore fssize] [float] NULL,
            [zscore sum] [float] NULL
)'
)
GO

IF OBJECT_ID(N'[perfdriftscore]', N'U') IS NULL 
EXEC('
CREATE TABLE [dbo].[perfdriftscore](
            [hwuuid] [char](36) PRIMARY KEY,
            [perfValue] [float] NULL
)'
)
GO

IF OBJECT_ID(N'[perfresult]', N'U') IS NULL 
EXEC('
CREATE TABLE [dbo].[perfresult](
            [hwuuid] [char](36) PRIMARY KEY,
            [ZScore] [float] NULL,
            [perfLevel] [int] NULL
)'
)
GO


GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[excludedcomputersanalysis]  TO [aiadmin]
GO
GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[configurationhighresult]  TO [aiadmin]
GO
GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[configurationlowresult]  TO [aiadmin]
GO
GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[perfdriftscore]  TO [aiadmin]
GO
GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[perfresult]  TO [aiadmin]
GO



/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 15522876, getdate(), 1, 4, 'Star 15522876 UASINT R11.2 UPDATES' )
GO

COMMIT TRANSACTION 
GO
