SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 16254963 Workflow add autodelegation table					*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
/* End of lines added to convert to online lock */

CREATE TABLE autodelegation(
     DELEGATEDBY          nvarchar(50) COLLATE !!sensitive not NULL,
     DELEGATEDTO          nvarchar(50) COLLATE !!sensitive not NULL,
     productid            binary(16) NOT NULL,
     lastcheckin 	  bigint NOT NULL default 0
)
GO
 
ALTER TABLE autodelegation
     ADD PRIMARY KEY NONCLUSTERED (DELEGATEDBY ASC, productid ASC)       
GO


CREATE INDEX autodelegation_ind1 ON autodelegation(
     productid ASC,
     DELEGATEDBY ASC
)
GO

CREATE INDEX autodelegation_ind2 ON autodelegation(
     productid ASC,
     DELEGATEDTO ASC
)
GO

GRANT  SELECT, UPDATE, INSERT, DELETE ON [dbo].[autodelegation]  TO [workflow_admin_group]
GO

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16254963, getdate(), 1, 4, 'Star 16254963 (MODIFIED v1) Workflow add autodelegation table' )
GO

COMMIT TRANSACTION 
GO

