SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 16460658 DSM CMO add casp_ca_replication history procedure			*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
/* End of lines added to convert to online lock */

/* procedure could be created by application engine, here we replace is by an official procedure */

/* drop procedure if exists */
if  exists (select * from dbo.sysobjects where id = object_id(N'[ca_itrm].casp_ca_replication_history') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
BEGIN
	drop procedure [ca_itrm].casp_ca_replication_history;
END
go
/* dbo.casp_ca_replication_history shouldn't exists, code only for safety */
if  exists (select * from dbo.sysobjects where id = object_id(N'[dbo].casp_ca_replication_history') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
BEGIN
	drop procedure [dbo].casp_ca_replication_history;
END
go


create procedure casp_ca_replication_history
	@Tablename nvarchar(255)='Unknown',
	@FirstUUID binary(16)= NULL,
	@SecondUUID binary(16)= NULL,
	@FirstLong int=NULL,
	@SecondLong int=NULL,
	@ThirdLong int=NULL,
	@ForthLong int=NULL,
	@Actiontype int =3
as
	insert into ca_replication_history 
			(table_name,primary_uuid ,secondary_uuid,		lng1,lng2,lng3,lng4,action)
	values  (@Tablename,@FirstUUID, @SecondUUID,			@FirstLong,@SecondLong ,@ThirdLong,@ForthLong, @Actiontype)
GO

grant execute on casp_ca_replication_history to ca_itrm_group
go



/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16460658, getdate(), 1, 4, 'Star 16460658 DSM CMO add casp_ca_replication history procedure' )
GO

COMMIT TRANSACTION 
GO

