SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 14753486 SIGNATURE_OS_GROUP							*/
/*                                                                                      */
/****************************************************************************************/


CREATE TABLE signature_os_group (
       signature_os_group_id       RAW(16) NOT NULL,
       name                 NVARCHAR2(20) NOT NULL,
       creation_user        NVARCHAR2(64) NULL,
       creation_date        NUMBER NOT NULL
);

ALTER TABLE signature_os_group 
       ADD CONSTRAINT XPKsignature_os_group PRIMARY KEY (
              signature_os_group_id );

ALTER TABLE ca_software_signature
       ADD CONSTRAINT ca_so_r00001c6b00000000
              FOREIGN KEY (signature_os_group_id)
                             REFERENCES signature_os_group  (
              signature_os_group_id);


/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14753486, systimestamp, 1, 4, 'Star 14753486 SIGNATURE_OS_GROUP' );

COMMIT;

EXIT SUCCESS;
