SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/*****************************************************************************/
/*                                                                           */
/* Star 14903293 new harvest table hardelpkgproc 		             */
/*                                                                           */
/*****************************************************************************/

CREATE TABLE "HARDELPKGPROC" 
	( "PROCESSOBJID" NUMBER
	, "PROCESSNAME" CHAR(128) NOT NULL   
	, "STATEOBJID" NUMBER NOT NULL   
	, "CREATIONTIME" DATE NOT NULL   
	, "CREATORID" NUMBER NOT NULL   
	, "MODIFIEDTIME" DATE NOT NULL   
	, "MODIFIERID" NUMBER NOT NULL   
	, "NOTE" VARCHAR2(2000)   ); 

ALTER TABLE "HARDELPKGPROC" 
ADD CONSTRAINT "HARDELPKGPROC_PK" 
PRIMARY KEY("PROCESSOBJID");

ALTER TABLE "HARDELPKGPROC" 
ADD CONSTRAINT "HARDELPKGPROC_SPID_FK" 
FOREIGN KEY("STATEOBJID" , "PROCESSOBJID") 
REFERENCES 
"HARSTATEPROCESS" ("STATEOBJID" , "PROCESSOBJID")  
ON DELETE CASCADE;

grant insert,delete,update,select on hardelpkgproc to harvest_group;

COMMIT;

/*****************************************************************************/
/*                                                                           */
/* Register patch                                                            */
/*                                                                           */
/*****************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14903293, systimestamp, 1, 4, 'Star 14903293 new harvest table hardelpkgproc' );

COMMIT;

EXIT SUCCESS;
