SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 14949028 NSM UCM add ca_configuration_policy					*/
/*                                                                                      */
/****************************************************************************************/

CREATE TABLE ca_configuration_policy (
	"UID" 			RAW(16) NOT NULL ,
	uid_parent 		RAW(16) NOT NULL ,
	str_name 		NVARCHAR2(64) NOT NULL ,
	str_description 	NVARCHAR2(128) NOT NULL ,
	i_type 			NUMBER NOT NULL ,
	i_global 		NUMBER NOT NULL ,
	i_inherited 		NUMBER NOT NULL ,
	date_time_stamp 	DATE NOT NULL ,
	i_delete_flag 		NUMBER NOT NULL ,
	uid_alternate 		RAW(16) NOT NULL 
);


ALTER TABLE ca_configuration_policy
       ADD CONSTRAINT XPKca_configuration_policy PRIMARY KEY ("UID");

grant delete on ca_configuration_policy to ucmadmin
;
grant insert on ca_configuration_policy to ucmadmin
;
grant update on ca_configuration_policy to ucmadmin
;
grant select on ca_configuration_policy to ucmadmin
;
grant select on ca_configuration_policy to ucmuser
;
grant delete on ca_configuration_policy to uniadmin
;
grant insert on ca_configuration_policy to uniadmin
;
grant update on ca_configuration_policy to uniadmin
;
grant select on ca_configuration_policy to uniadmin
;
grant select on ca_configuration_policy to uniuser
;

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14949028, systimestamp, 1, 4, 'Star 14949028 NSM UCM add ca_configuration_policy' );

COMMIT;

EXIT SUCCESS;
