SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 15782572 Autosys: aggregator performance indexes				*/
/*                                                                                      */
/****************************************************************************************/
/* Improve Aggregator Response Time */
drop index ujo_event_idx_01
;
drop index ujo_event_idx_02
;
drop index ujo_event_idx_03
;
drop index ujo_event_idx_04
;
drop index ujo_event_idx_05
;
drop index ujo_event_idx_06
;

create index ujo_event_idx_01 on ujo_event(evt_num)
tablespace &2
;
create index ujo_event_idx_02 on ujo_event(event_time_gmt)
tablespace &2
;
create index ujo_event_idx_03 on ujo_event(joid)
tablespace &2
;

drop index ujo_proc_event_idx_01
;
drop index ujo_proc_event_idx_02
;
drop index ujo_proc_event_idx_03
;
drop index ujo_proc_event_idx_04
;
drop index ujo_proc_event_idx_05
;

create index ujo_proc_event_idx_01 on ujo_proc_event(evt_num)
tablespace &2
;
create index ujo_proc_event_idx_02 on ujo_proc_event(event_time_gmt)
tablespace &2
;
create index ujo_proc_event_idx_03 on ujo_proc_event(joid)
tablespace &2
;
create index ujo_proc_event_idx_04 on ujo_proc_event(run_num)
tablespace &2
;


/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 15782572, systimestamp, 1, 4, 'Star 15782572 Autosys: aggregator performance indexes' );

COMMIT;

EXIT SUCCESS;
