SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 16037132 DSM: add ca_link_sw_domain_enterprise table				*/
/*                                                                                      */
/****************************************************************************************/
SET ESCAPE ON;

/* ca_link_sw_def_domain_enterprise
Description: This table defines the link between the Domain created
		Heuristic Software definition and the corresponding definition on MDBADMIN.Enterprise.
		This table is only updated/maintained on MDBADMIN.Domain level by the Manager processes.

	Fields:
	sw_def_uuid_domain raw(16) NOT NULL
	sw_def_uuid_enterprise raw(16) NOT NULL
	domain_uuid raw(16)

	Primary Key:
	sw_def_uuid_domain
	sw_def_uuid_enterprise

*/
/*drop TABLE MDBADMIN.ca_link_sw_domain_enterprise
;
*/
CREATE TABLE MDBADMIN.ca_link_sw_domain_enterprise(
	sw_def_uuid_domain raw(16) NOT NULL,
	sw_def_uuid_enterprise raw(16) NOT NULL,
	domain_uuid raw(16)
)
;
alter table MDBADMIN.ca_link_sw_domain_enterprise 
	add CONSTRAINT XPKca_link_sw_dom_enterp PRIMARY KEY  (
		sw_def_uuid_domain,
		sw_def_uuid_enterprise
	)
;
grant   select, update, delete, insert on MDBADMIN.ca_link_sw_domain_enterprise to ca_itrm_group
;
grant   select   on MDBADMIN.ca_link_sw_domain_enterprise to ca_itrm_group_ams
; 

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 16037132, systimestamp, 1, 4, 'Star 16037132 DSM: add ca_link_sw_domain_enterprise table' );

COMMIT;

EXIT SUCCESS;
