SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/*  Star 16379372 CMDB r11.2 first change set						*/
/*                                                                                      */
/****************************************************************************************/
/****** QC 74: Some Software families missing server attribute  ******/

ALTER TABLE ci_database
ADD ( server NVARCHAR2(255) ) ;

ALTER TABLE ci_operating_system
ADD ( server NVARCHAR2(255) ) ;

/****** QC 437: CI Detail UIs FOR Contact, Loc, Org  ******/

CREATE TABLE ci_contact (
	id NUMBER NOT NULL ,
	persid NVARCHAR2(30)  NULL ,
	last_mod_dt NUMBER NULL ,
	last_mod_by RAW(16) NULL ,
	ext_asset RAW(16) NOT NULL,
	base_contact RAW(16) NULL 
	);

ALTER TABLE ci_contact ADD 
	 PRIMARY KEY
	(
		id
	) ; 
	
ALTER TABLE ci_contact
ADD CONSTRAINT ci_contact_base_fk
    FOREIGN KEY (base_contact)
        REFERENCES ca_contact  (contact_uuid);
	
CREATE  UNIQUE  INDEX ci_contact_X0 ON ci_contact(ext_asset ASC) tablespace &2; 

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON ci_contact  TO service_desk_admin_group ;

GRANT  SELECT ON ci_contact  TO service_desk_ro_group ;

CREATE TABLE ci_location (
	id NUMBER NOT NULL ,
	persid NVARCHAR2(30)  NULL ,
	last_mod_dt NUMBER NULL ,
	last_mod_by RAW(16) NULL ,
	ext_asset RAW(16) NOT NULL,
	base_location RAW(16) NULL 
	);

ALTER TABLE ci_location ADD 
	 PRIMARY KEY
	(
		id
	) ; 
	
ALTER TABLE ci_location
ADD CONSTRAINT ci_location_base_fk
    FOREIGN KEY (base_location)
        REFERENCES ca_location  (location_uuid);
	
CREATE  UNIQUE  INDEX ci_location_X0 ON ci_location(ext_asset ASC) tablespace &2; 

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON ci_location  TO service_desk_admin_group ;

GRANT  SELECT ON ci_location  TO service_desk_ro_group ;

CREATE TABLE ci_organization (
	id NUMBER NOT NULL ,
	persid NVARCHAR2(30)  NULL ,
	last_mod_dt NUMBER NULL ,
	last_mod_by RAW(16) NULL ,
	ext_asset RAW(16) NOT NULL,
	base_organization RAW(16) NULL 
	);

ALTER TABLE ci_organization ADD 
	 PRIMARY KEY
	(
		id
	) ; 
	
ALTER TABLE ci_organization
ADD CONSTRAINT ci_organization_base_fk
    FOREIGN KEY (base_organization)
        REFERENCES ca_organization  (organization_uuid);
	
CREATE  UNIQUE  INDEX ci_organization_X0 ON ci_organization(ext_asset ASC) tablespace &2; 

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON ci_organization  TO service_desk_admin_group ;

GRANT  SELECT ON ci_organization  TO service_desk_ro_group ;


/* Support for versioning and capturing of source of change */

ALTER TABLE nr_com
ADD ( mdr_name NVARCHAR2(50) );

ALTER TABLE nr_com
ADD ( mdr_class NVARCHAR2(50) );

/****** QC 177: enable change class and family  ******/

ALTER TABLE ci_hardware_workstation ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_hardware_server ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_hardware_printer ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_hardware_monitor ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_hardware_storage ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_hardware_mainframe  ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_hardware_virtual  ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_hardware_lpar  ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_hardware_other ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_telcom_ciruit ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_telcom_voice  ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_telcom_wireless  ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_telcom_radio   ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_telcom_other ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_network_bridge ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_network_controller ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_network_frontend ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_network_gateway ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_network_hub ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_network_nic ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_network_peripheral ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_network_port ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_network_router ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_network_other ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_network_cluster ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_network_resource_group ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_network_resource ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_operating_system ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_fac_ac ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_fac_ups ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_fac_fire_control ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_fac_furnishings ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_fac_other ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_security ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_app_inhouse ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_app_ext ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_database ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_service ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_sla ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_contract ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_document ADD (del NUMBER DEFAULT 0 NOT NULL)
;

ALTER TABLE ci_contact ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_location ADD (del NUMBER DEFAULT 0 NOT NULL)
;
ALTER TABLE ci_organization ADD (del NUMBER DEFAULT 0 NOT NULL)
;

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 16379372, systimestamp, 1, 4, 'Star 16379372 CMDB r11.2 first change set' );

COMMIT;

EXIT SUCCESS;
