SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 16379341 CMDB r11.2 first change set						*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
Select top 1 1 from ci_database with (tablockx)
GO
 
Select top 1 1 from ci_operating_system with (tablockx)
GO 

Select top 1 1 from nr_com with (tablockx)
GO 

Select top 1 1 from ci_hardware_workstation with (tablockx)
GO
 
Select top 1 1 from ci_hardware_server with (tablockx)
GO
 
Select top 1 1 from ci_hardware_printer with (tablockx)
GO
 
Select top 1 1 from ci_hardware_monitor with (tablockx)
GO
 
Select top 1 1 from ci_hardware_storage with (tablockx)
GO
 
Select top 1 1 from ci_hardware_mainframe with (tablockx)
GO
 
Select top 1 1 from ci_hardware_virtual with (tablockx)
GO
 
Select top 1 1 from ci_hardware_lpar with (tablockx)
GO
 
Select top 1 1 from ci_hardware_other with (tablockx)
GO
 
Select top 1 1 from ci_telcom_ciruit with (tablockx)
GO
 
Select top 1 1 from ci_telcom_voice with (tablockx)
GO
 
Select top 1 1 from ci_telcom_wireless with (tablockx)
GO
 
Select top 1 1 from ci_telcom_radio with (tablockx)
GO
 
Select top 1 1 from ci_telcom_other with (tablockx)
GO
 
Select top 1 1 from ci_network_bridge with (tablockx)
GO
 
Select top 1 1 from ci_network_controller with (tablockx)
GO
 
Select top 1 1 from ci_network_frontend with (tablockx)
GO
 
Select top 1 1 from ci_network_gateway with (tablockx)
GO
 
Select top 1 1 from ci_network_hub with (tablockx)
GO
 
Select top 1 1 from ci_network_nic with (tablockx)
GO
 
Select top 1 1 from ci_network_peripheral with (tablockx)
GO
 
Select top 1 1 from ci_network_port with (tablockx)
GO
 
Select top 1 1 from ci_network_router with (tablockx)
GO
 
Select top 1 1 from ci_network_other with (tablockx)
GO
 
Select top 1 1 from ci_network_cluster with (tablockx)
GO
 
Select top 1 1 from ci_network_resource_group with (tablockx)
GO
 
Select top 1 1 from ci_network_resource with (tablockx)
GO
 
Select top 1 1 from ci_fac_ac with (tablockx)
GO
 
Select top 1 1 from ci_fac_ups with (tablockx)
GO
 
Select top 1 1 from ci_fac_fire_control with (tablockx)
GO
 
Select top 1 1 from ci_fac_furnishings with (tablockx)
GO
 
Select top 1 1 from ci_fac_other with (tablockx)
GO
 
Select top 1 1 from ci_security with (tablockx)
GO
 
Select top 1 1 from ci_app_inhouse with (tablockx)
GO
 
Select top 1 1 from ci_app_ext with (tablockx)
GO
 
Select top 1 1 from ci_service with (tablockx)
GO
 
Select top 1 1 from ci_sla with (tablockx)
GO
 
Select top 1 1 from ci_contract with (tablockx)
GO
 
Select top 1 1 from ci_document with (tablockx)
GO
 
/* End of lines added to convert to online lock */

/****** QC 74: Some Software families missing server attribute  ******/

ALTER TABLE ci_database
ADD server NVARCHAR(255) NULL 
GO

ALTER TABLE ci_operating_system
ADD server NVARCHAR(255) NULL 
GO

/****** QC 437: CI Detail UIs FOR Contact, Loc, Org  ******/

CREATE TABLE ci_contact(
	id int NOT NULL,
	persid nvarchar(30) COLLATE !!insensitive NULL,
	last_mod_dt int NULL,
	last_mod_by binary(16) NULL,
	ext_asset binary(16) NOT NULL,
	base_contact binary(16) NULL,
PRIMARY KEY NONCLUSTERED 
(
	id ASC
) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE ci_contact  WITH CHECK ADD  CONSTRAINT ci_contact_base_fk FOREIGN KEY(base_contact)
REFERENCES ca_contact (contact_uuid)
GO

CREATE  UNIQUE  CLUSTERED  INDEX ci_contact_X0 ON ci_contact(ext_asset) ON [PRIMARY]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON ci_contact  TO service_desk_admin_group
GO

GRANT  SELECT ON ci_contact  TO service_desk_ro_group
GO

CREATE TABLE ci_location(
	id int NOT NULL,
	persid nvarchar(30) COLLATE !!insensitive NULL,
	last_mod_dt int NULL,
	last_mod_by binary(16) NULL,
	ext_asset binary(16) NOT NULL,
	base_location binary(16) NULL,
PRIMARY KEY NONCLUSTERED 
(
	id ASC
) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE ci_location  WITH CHECK ADD  CONSTRAINT ci_location_base_fk FOREIGN KEY(base_location)
REFERENCES ca_location (location_uuid)
GO

CREATE  UNIQUE  CLUSTERED  INDEX ci_location_X0 ON ci_location(ext_asset) ON [PRIMARY]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON ci_location  TO service_desk_admin_group
GO

GRANT  SELECT ON ci_location  TO service_desk_ro_group
GO

CREATE TABLE ci_organization(
	id int NOT NULL,
	persid nvarchar(30) COLLATE !!insensitive NULL,
	last_mod_dt int NULL,
	last_mod_by binary(16) NULL,
	ext_asset binary(16) NOT NULL,
	base_organization binary(16) NULL,
PRIMARY KEY NONCLUSTERED 
(
	id ASC
) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE ci_organization  WITH CHECK ADD  CONSTRAINT ci_organization_base_fk FOREIGN KEY(base_organization)
REFERENCES ca_organization (organization_uuid)
GO

CREATE  UNIQUE  CLUSTERED  INDEX ci_organization_X0 ON ci_organization(ext_asset) ON [PRIMARY]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON ci_organization  TO service_desk_admin_group
GO

GRANT  SELECT ON ci_organization  TO service_desk_ro_group
GO

/* Support for versioning and capturing of source of change */

ALTER TABLE nr_com
ADD mdr_name NVARCHAR(50) NULL
GO

ALTER TABLE nr_com
ADD mdr_class NVARCHAR(50) NULL
GO

/****** QC 177: enable change class and family  ******/

ALTER TABLE ci_hardware_workstation ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_hardware_server ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_hardware_printer ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_hardware_monitor ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_hardware_storage ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_hardware_mainframe  ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_hardware_virtual  ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_hardware_lpar  ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_hardware_other ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_telcom_ciruit ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_telcom_voice  ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_telcom_wireless  ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_telcom_radio   ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_telcom_other ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_network_bridge ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_network_controller ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_network_frontend ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_network_gateway ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_network_hub ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_network_nic ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_network_peripheral ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_network_port ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_network_router ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_network_other ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_network_cluster ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_network_resource_group ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_network_resource ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_operating_system ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_fac_ac ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_fac_ups ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_fac_fire_control ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_fac_furnishings ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_fac_other ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_security ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_app_inhouse ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_app_ext ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_database ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_service ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_sla ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_contract ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_document ADD del int NOT NULL DEFAULT 0
GO

ALTER TABLE ci_contact ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_location ADD del int NOT NULL DEFAULT 0
GO
ALTER TABLE ci_organization ADD del int NOT NULL DEFAULT 0
GO

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16379341, getdate(), 1, 4, 'Star 16379341 CMDB r11.2 first change set' )
GO

COMMIT TRANSACTION 
GO

