SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 16460692 DSM CMO ca_rm_data_table						*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
/* End of lines added to convert to online lock */

/****** Object:  Table [dbo].[ca_rm_status]    Script Date: 10/16/2007 13:47:39 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[ca_rm_status](
	[ReleaseId] [bigint] NOT NULL,
	[NodeId] [bigint] NOT NULL,
	[NodeName] [nvarchar](1000) COLLATE !!insensitive NOT NULL, 
	[ReleaseComment] [nvarchar](max) COLLATE !!insensitive NULL,
	[TimeStamp] [nvarchar](50) COLLATE !!insensitive NOT NULL,
	[ReleaseStatus] [nvarchar](1000) COLLATE !!insensitive NULL,
 CONSTRAINT [PK_ca_rm_status] PRIMARY KEY CLUSTERED 
(
	[ReleaseId] ASC,
	[NodeId] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
grant select, update, insert,delete on ca_rm_status to ca_itrm_group
go
grant select, update, insert,delete on ca_rm_status to ca_itrm_group_ams
go

/****** Object:  Table [dbo].[ca_rm_data]    Script Date: 10/16/2007 13:47:17 ******/
CREATE TABLE [dbo].[ca_rm_data](
	[ReleaseId] [bigint] NOT NULL,
	[ReleaseName] [nvarchar](1000) COLLATE !!insensitive NOT NULL,
	[ProcessDefinitionId] [bigint] NOT NULL,
	[RequestNumber] [nvarchar](50) COLLATE !!insensitive NULL,
	[RFCNumber] [nvarchar](50) COLLATE !!insensitive NULL,
	[ReleaseStatus] [nvarchar](50) COLLATE !!insensitive NOT NULL,
	[ReleasePackageIDList] [nvarchar](max) COLLATE !!insensitive NOT NULL,
	[ReleaseProcedureIDList] [nvarchar](max) COLLATE !!insensitive NOT NULL,
	[ReleaseTestGroupID] [nvarchar](max) COLLATE !!insensitive NULL,
	[ReleaseProductionGroupID] [nvarchar](max) COLLATE !!insensitive NOT NULL,
	[ExtraInfo1] [nvarchar](1000) COLLATE !!insensitive NULL,
	[ExtraInfo2] [nvarchar](1000) COLLATE !!insensitive NULL,
	[ExtraInfo3] [nvarchar](1000) COLLATE !!insensitive NULL,
	[ExtraInfo4] [nvarchar](1000) COLLATE !!insensitive NULL,
 CONSTRAINT [PK__ca_rm_data__483E02FD] PRIMARY KEY CLUSTERED 
(
	[ReleaseId] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
grant select, update, insert,delete on ca_rm_data to ca_itrm_group
go
grant select, update, insert,delete on ca_rm_data to ca_itrm_group_ams
go

SET ANSI_PADDING OFF
GO

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16460692, getdate(), 1, 4, 'Star 16460692 (MODIFIED SQL Server 2005) DSM CMO ca_rm_data_table' )
GO

COMMIT TRANSACTION 
GO

