SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 14539620 NEW MDB TABLE FOR NSM-AEC 			                        */
/*                                                                                      */
/****************************************************************************************/

CREATE TABLE aec_hist_report_v2 (
       policyname           VARCHAR2(50) NOT NULL,
       rulename             VARCHAR2(25) NOT NULL,
       ruledesc             VARCHAR2(255) NULL,
       ruleuuid             CHAR(128) NULL,
       ruletype             CHAR(15) NULL,
       istemplate           CHAR(15) NULL,
       pipename             VARCHAR2(25) NULL,
       pipeuuid             CHAR(128) NULL,
       aecaction            VARCHAR2(50) NULL,
       log_date             CHAR(10) NULL,
       log_time             CHAR(8) NULL,
       node                 VARCHAR2(64) NULL,
       policycnt            int NULL
);


CREATE INDEX XIE1aec_hist_report_v2 ON aec_hist_report_v2
(
       node                           ASC
) tablespace &2;


ALTER TABLE aec_hist_report_v2
       ADD CONSTRAINT XPKaec_hist_report_v2 PRIMARY KEY (policyname, rulename);

/****************************************************************************************/
/*                                                                                      */
/*  register patch                                                                      */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14539620, systimestamp, 1, 4, 'Star 14539620 NEW MDB TABLE FOR NSM-AEC' );

COMMIT;

EXIT SUCCESS;

