SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;

/*****************************************************************************************/
/*                                                                                       */
/* Patch Star 14588437 Autosys: New stored procedure ujo_move_event                      */
/*                                                                                       */
/*****************************************************************************************/

CREATE OR REPLACE FUNCTION ujo_move_event(
    i_eoid VARCHAR2,
    i_qstatus NUMBER
)
RETURN INTEGER AS

BEGIN
	
    UPDATE ujo_event
    SET que_status = i_qstatus
    WHERE eoid = i_eoid;

    IF SQL%ROWCOUNT != 1 THEN
        raise_application_error(-20000, 'Invalid event (' || i_eoid || ')');
        RETURN 0;
    END IF;

    INSERT INTO ujo_proc_event
    SELECT * from ujo_event where eoid = i_eoid;		

    DELETE from ujo_event where eoid = i_eoid;

    RETURN 1;

END;
/
grant execute on ujo_move_event to ujoadmin
/
/****************************************************************************************/
/*                                                                                      */
/*  register patch                                                                      */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14588437, systimestamp, 1, 4, 'Patch Star 14588437 Autosys: New stored procedure ujo_move_event' );

COMMIT;

EXIT SUCCESS;
