SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;

/****************************************************************************************/
/*                                                                                      */
/* Star 14990815 Portalr12: New cmsportallinkdata, cmsaclportallinkdata, cmsrollbkportallinkdata tables */
/*                                                                                      */
/****************************************************************************************/

CREATE TABLE CMSACLPORTALLINKDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACLPORTALLINKDATA
	ADD ( CONSTRAINT CMSPKACLPORTALLINK
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsaclportallinkdata to portaldba_group;
grant select on cmsaclportallinkdata to portaldba_group;
grant delete on cmsaclportallinkdata to portaldba_group;
grant update on cmsaclportallinkdata to portaldba_group;


CREATE TABLE CMSPORTALLINKDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UECV_BUNDLE					VARCHAR2(1020) NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEURL        				VARCHAR2(4000) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSPORTALLINKDATA
	ADD ( CONSTRAINT CMSPKPORTALLINK
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmsportallinkdata to portaldba_group;
grant update on cmsportallinkdata to portaldba_group;
grant insert on cmsportallinkdata to portaldba_group;
grant delete on cmsportallinkdata to portaldba_group;

CREATE TABLE CMSROLLBKPORTALLINKDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UECV_BUNDLE					VARCHAR2(1020) NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEURL			        	VARCHAR2(1000) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBKPORTALLINKDATA
	ADD ( CONSTRAINT CMSPKRBPORTALLLINK
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant update on cmsrollbkportallinkdata to portaldba_group;
grant select on cmsrollbkportallinkdata to portaldba_group;
grant insert on cmsrollbkportallinkdata to portaldba_group;
grant delete on cmsrollbkportallinkdata to portaldba_group;

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14990815, systimestamp, 1, 4, 'Star 14990815 Portalr12: New cmsportallinkdata, cmsaclportallinkdata, cmsrollbkportallinkdata tables' );

COMMIT;

EXIT SUCCESS;
