SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 15490703 Autosys: create ujo_event_state					*/
/*                                                                                      */
/****************************************************************************************/

alter session set current_schema = mdbadmin
;

/* 5452845 */
CREATE OR REPLACE FUNCTION ujo_event_state (
    i_eoid VARCHAR2 ,
    i_que_status NUMBER ,
    i_evt_num NUMBER)
RETURN INTEGER AS

    l_evt_num INTEGER;

BEGIN

    IF (i_que_status > 1 AND i_que_status < 5) THEN
        UPDATE ujo_next_oid set oid = oid + 1 where field = 'evt_proc_num'
        RETURNING oid INTO l_evt_num;
        IF SQL%ROWCOUNT = 0 THEN
            INSERT INTO ujo_next_oid (oid, field) values (1, 'evt_proc_num');
            l_evt_num := 1;
        END IF;
    ELSE
        l_evt_num := i_evt_num + 1;
    END IF;
    
    UPDATE ujo_event
    SET que_status = i_que_status,
        que_status_stamp = SYSDATE,
        evt_num = l_evt_num
    WHERE eoid = i_eoid;

    IF SQL%ROWCOUNT != 1 THEN
        raise_application_error(-20000, 'Invalid event (' || i_eoid || ')');
        RETURN 0;
    END IF;

/* If i_que_status > 1 (EVENT_DONE, HDLR_ERROR, UN_SENT), move to proc_event */
	IF (i_que_status > 1 AND i_que_status < 5) THEN
		INSERT INTO ujo_proc_event(eoid, joid, job_name, box_name, AUTOSERV, priority,
                               event, status, alarm, event_time_gmt, exit_code, machine,
                               pid, jc_pid, run_num, ntry, text, que_priority, stamp,
							   evt_num, que_status, que_status_stamp)
		SELECT *
		FROM ujo_event
		WHERE eoid = i_eoid;

		IF SQL%ROWCOUNT = 1 THEN
			DELETE FROM ujo_event WHERE eoid = i_eoid;
		END IF;

	END IF;

    RETURN 1;

END;
/

grant execute on ujo_event_state to ujoadmin
;

/* T346298 */
CREATE OR REPLACE FUNCTION ujo_get_id( 
    i_id NUMBER,
    i_fld VARCHAR2, 
    i_oid OUT NUMBER)
RETURN INTEGER AS
    StoO_selcnt	INTEGER;
    StoO_error 	INTEGER;
    StoO_rowcnt	INTEGER;
BEGIN
	IF i_id = 0 THEN

        UPDATE ujo_next_oid
        SET oid = oid + 1
        WHERE field = i_fld;
         
        SELECT oid
        INTO i_oid
        FROM ujo_next_oid
        WHERE field = i_fld
        FOR UPDATE;        
		COMMIT WORK;	/* T346298 */
		RETURN -999;
	END IF;

	UPDATE ujo_next_oid
	SET oid = i_id + 1 
	WHERE field = i_fld 
	AND oid < i_id + 1;

    i_oid := i_id;
	COMMIT WORK;		/* T346298 */
	RETURN -999;
END;
/

grant execute on ujo_get_id to ujoadmin
;


/* 15010574 */
delete from ujo_intcodes where fld = 'alarm' and code = 528;
;
/* T348255 */
update ujo_timezones set zone = 'CST4CDT,M10.3.0;00:00:00,M3.2.0;00:00:00' where name = 'America;Santiago' and type = 'Z'
;
update ujo_timezones set zone = 'US;Eastern' where name = 'Detroit' and type = 'C'
;
update ujo_timezones set zone = 'EST3EDT,M11.1.0;00:00:00,M2.5.0;00:00:00' where name = 'America;Sao_Paulo' and type = 'Z'
;
update ujo_timezones set zone = 'EST-10EST,M10.5.0,M3.5.0;03:00:00' where name = 'Sydney-Z' and type = 'Z'
;


/* 15438012 - increase the job_name to 64 */
/* SP to set to activate;inactiveate  a joid */
/*   This guy returns 0 if it failed  */
/*   1 if success and theres no external CHANGE_STATUS to send AND nothing */
/*       to de-que  */
/*   2 if success and there is an external CHANGE_STATUS AND nothing   */
/*       to de-que  */
/*   3 if success and no external CHANGE_STATUS, but stuff to de-que  */
/*   4 if success & there is an external CHANGE_STATUS AND stuff to de-que */


CREATE OR REPLACE FUNCTION ujo_set2act (
    i_status NUMBER,
    i_run_num NUMBER,
    i_joid NUMBER,
    i_gmt NUMBER)
RETURN INTEGER AS

    i_auto_hold NUMBER;
    i_curr_status NUMBER;
    i_auto_hold_over NUMBER;
    i_over_num NUMBER;
    i_job_name VARCHAR2(64);
    i_has_ext NUMBER;
    i_isbox_job NUMBER;
    i_box_status NUMBER;

    i_status_temp NUMBER;

BEGIN
    i_status_temp := i_status;
    i_isbox_job := 0;

    /* Get the Current Status */
    SELECT status, over_num
    INTO i_curr_status, i_over_num
    FROM ujo_job_status
    WHERE joid = i_joid;

    /* See if it's an auto_hold job. */
    SELECT job_name, auto_hold
    INTO i_job_name, i_auto_hold
    FROM ujo_job
    WHERE joid = i_joid;

    /* Check whether job is inside the box */
    BEGIN
        SELECT box_joid
        INTO i_isbox_job
        FROM ujo_job
        WHERE joid = i_joid
        AND box_joid is NOT NULL;
    EXCEPTION
        WHEN NO_DATA_FOUND THEN
            i_isbox_job := 0;
    END;

    /* If box job get the status */
    IF i_isbox_job > 0 THEN
       SELECT status   
       INTO i_box_status
       FROM ujo_job_status
       WHERE joid = i_isbox_job;
    END IF; 

    /* If theres an override in effect, see if its the auto_hold one */
    IF i_over_num > 0 THEN
        SELECT auto_hold
        INTO i_auto_hold_over
        FROM ujo_overjob
        WHERE joid = i_joid
        AND over_num = i_over_num;

        IF (SQL%ROWCOUNT =1 AND i_auto_hold_over != 10) THEN
            i_auto_hold := i_auto_hold_over;
        END IF;
    END IF;

    /* If auto_hold and it's changing to ACTIVATED, make it ON_HOLD. */
    IF (i_auto_hold = 1 AND i_status = 9) THEN
        i_status_temp :=  11 ;
    END IF;

    /* Get the current status. */
    SELECT   status
    INTO i_curr_status
    FROM ujo_job_status
    WHERE joid = i_joid;

    /* If for some reason it's in QUE_WAIT, blow it off. */
    IF (i_curr_status = 12) THEN
        DELETE  ujo_wait_que
        WHERE joid = i_joid;
    END IF;

    /* If ACTIVATE and ON_ICE or ON_HOLD, just quit. */
    IF (i_status_temp = 9 AND (i_curr_status = 7 OR i_curr_status = 11)) THEN
        RETURN 1;
    END IF;

    /* If INACTIVE and ON_ICE just quit. */
    IF (i_status_temp = 8 AND (i_curr_status = 7 OR i_curr_status = 11)) THEN
        RETURN 1;
    END IF;

    /* If box job and box status is ON_ICE or ON_HOLD just quit. */
    IF (i_isbox_job > 0 AND (i_box_status = 7 OR i_box_status = 11)) THEN
        RETURN 1;
    END IF;

    /* If it's a normal start, change the statuses. */
    IF (i_run_num > 0) THEN
        IF (i_status = 8) THEN
        /* Don't reset times if it's going to INACTIVE. */

            UPDATE ujo_job_status
            SET status = i_status_temp,
                status_time = i_gmt,
                run_num = i_run_num,
                exit_code = -656
            WHERE joid = i_joid;

        ELSE

            UPDATE ujo_job_status
            SET status = i_status_temp,
                status_time = i_gmt,
                run_num = i_run_num,
                ntry = 0,
                exit_code = -656,
                last_start = 0,
                last_end = 0
            WHERE joid = i_joid;

        END IF;

    ELSE
        -- If it's a restart, change the statuses only if they aren't running.
        -- Otherwise we could start up multiples.
        IF (i_run_num = 0 AND i_curr_status != 1 AND i_curr_status != 3) THEN

            UPDATE ujo_job_status
            SET status = i_status_temp,
                status_time = i_gmt,
                last_start = 0,
                last_end = 0,
                exit_code = -656
            WHERE joid = i_joid;
        END IF;
    END IF;

    /* Get here if it's a RESTART and it's in the RUNNING or STARTING state. */

    /* NOW see if it has a External status to send */
    BEGIN
        SELECT 1 INTO i_has_ext
        FROM dual
        WHERE EXISTS(
            SELECT job_name
            FROM ujo_req_job
            WHERE job_name = i_job_name );
    EXCEPTION
        WHEN NO_DATA_FOUND THEN
            i_has_ext := 0;
    END;

    /* See if it was in the QUE_WAIT state */
    IF (i_curr_status = 12 AND i_status != 9) THEN
        IF (i_has_ext = 1) THEN
            RETURN 4;
        ELSE
            RETURN 3;
        END IF;
    END IF;

    IF (i_has_ext = 1) THEN
       RETURN 2;
    END IF;

   RETURN 1;
END;
/

grant execute on ujo_set2act to ujoadmin
;

/* 15112496 */
drop index baseidx_ujo_event0
;

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 15490703, systimestamp, 1, 4, 'Star 15490703 Autosys: create ujo_event_state' );

COMMIT;

EXIT SUCCESS;
