SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/******************************************************************************/
/*                                                                            */
/* Star 15777611 UPM ROLES AND GRANTS (ORACLE)				      */
/*                                                                            */
/******************************************************************************/

GRANT EXECUTE ON uuid_from_char  TO upmuser_group;
GRANT EXECUTE ON uuid_to_char  TO upmuser_group;
GRANT SELECT ON ca_agent_component  TO upmuser_group;
GRANT SELECT ON ca_application_registration  TO upmuser_group;
GRANT SELECT ON ca_asset_source_location  TO upmuser_group;
GRANT SELECT ON ca_asset_subschema  TO upmuser_group;
GRANT SELECT ON ca_asset_type  TO upmuser_group;
GRANT SELECT ON ca_capacity_unit  TO upmuser_group;
GRANT SELECT ON ca_config_item  TO upmuser_group;
GRANT SELECT ON ca_country  TO upmuser_group;
GRANT SELECT ON ca_discovered_hardware_network  TO upmuser_group;
GRANT SELECT ON ca_document  TO upmuser_group;
GRANT SELECT ON ca_geo_coord_type  TO upmuser_group;
GRANT SELECT ON ca_group_ace  TO upmuser_group;
GRANT SELECT ON ca_job_title  TO upmuser_group;
GRANT SELECT ON ca_license_type  TO upmuser_group;
GRANT SELECT ON ca_link_object_owner  TO upmuser_group;
GRANT SELECT ON ca_model_def  TO upmuser_group;
GRANT SELECT ON ca_named_configuration  TO upmuser_group;
GRANT SELECT ON ca_object_ace  TO upmuser_group;
GRANT SELECT ON ca_proc_os  TO upmuser_group;
GRANT SELECT ON ca_resource_class  TO upmuser_group;
GRANT SELECT ON ca_resource_family  TO upmuser_group;
GRANT SELECT ON ca_resource_status  TO upmuser_group;
GRANT SELECT ON ca_sdi_ticket  TO upmuser_group;
GRANT SELECT ON ca_settings  TO upmuser_group;
GRANT SELECT ON ca_site  TO upmuser_group;
GRANT SELECT ON ca_state_province  TO upmuser_group;
GRANT SELECT ON ca_asset  TO upmuser_group;
GRANT SELECT ON ca_link_config_item  TO upmuser_group;
GRANT SELECT ON ca_link_config_item_doc  TO upmuser_group;
GRANT SELECT ON ca_link_named_config_doc  TO upmuser_group;
GRANT SELECT ON ca_link_named_config_item  TO upmuser_group;
GRANT SELECT ON ca_software_license  TO upmuser_group;
GRANT SELECT ON ca_logical_asset  TO upmuser_group;
GRANT SELECT ON ca_asset_class  TO upmuser_group;
GRANT SELECT ON ca_asset_source  TO upmuser_group;
GRANT SELECT ON ca_logical_asset_property  TO upmuser_group;
GRANT SELECT ON ca_contact  TO upmuser_group;
GRANT SELECT ON ca_contact_type  TO upmuser_group;
GRANT SELECT ON ca_discovered_hardware  TO upmuser_group;
GRANT SELECT ON ca_discovered_software  TO upmuser_group;
GRANT SELECT ON ca_discovered_software_prop  TO upmuser_group;
GRANT SELECT ON ca_discovered_user  TO upmuser_group;
GRANT SELECT ON ca_link_configured_service  TO upmuser_group;
GRANT SELECT ON ca_link_contact_user  TO upmuser_group;
GRANT SELECT ON ca_link_dis_hw  TO upmuser_group;
GRANT SELECT ON ca_link_dis_hw_user  TO upmuser_group;
GRANT SELECT ON ca_link_license_sw_def  TO upmuser_group;
GRANT SELECT ON ca_location  TO upmuser_group;
GRANT SELECT ON ca_n_tier  TO upmuser_group;
GRANT SELECT ON ca_organization  TO upmuser_group;
GRANT SELECT ON ca_owned_resource  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON bit_support  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_acme_checkpoint  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_category_def  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_class_def  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_class_hierarchy  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_category_member  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_company  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_company_type  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_download_file  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_hierarchy  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_install_package  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_install_step  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_language  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_link_sw_def  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_link_type  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_software_type  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_source_type  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_requirement_spec  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_requirement_spec_group  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_requirement_spec_item  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_software_def  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_software_def_class_def_matr  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_software_def_types  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON ca_software_signature  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON chip_set  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON compression_type  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON package_type  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON signature_os_group  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON upm_baseline_group  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON upm_baseline_patch  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON upm_baseline_sw  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON upm_credential  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON upm_deployment  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON upm_download  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON upm_event  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON upm_name_value_pair  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON upm_portlet  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON upm_portlet_content  TO upmuser_group;
GRANT SELECT, UPDATE, INSERT, DELETE ON upm_workflow  TO upmuser_group;

/******************************************************************************/
/*                                                                            */
/* Register patch                                                             */
/*                                                                            */
/******************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 15777611, systimestamp, 1, 4, 'Star 15777611 UPM ROLES AND GRANTS (ORACLE)' );

COMMIT;

EXIT SUCCESS;
