SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 16254968 Workflow add autodelegation table					*/
/*                                                                                      */
/****************************************************************************************/
 
CREATE TABLE autodelegation (       
     DELEGATEDBY nvarchar2(50) NOT NULL,   
     DELEGATEDTO nvarchar2(50) NOT NULL,  
     productid raw(16) NOT NULL,
     lastcheckin number(38,0)default 0
);

ALTER TABLE autodelegation
     ADD PRIMARY KEY (DELEGATEDBY, productid);


CREATE INDEX autodelegation_ind1 ON autodelegation(
     productid ASC,
     DELEGATEDBY ASC
);

CREATE INDEX autodelegation_ind2 ON autodelegation(
     productid ASC,
     DELEGATEDTO ASC
);

grant select,update,delete,insert on autodelegation to workflow_admin_group;


/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 16254968, systimestamp, 1, 4, 'Star 16254968 Workflow add autodelegation table' );

COMMIT;

EXIT SUCCESS;
